<span
  [class.current-workspace-button]="active"
  [class.__hover_pointer]="active"
  [class.__hover_default]="!active"
  [class.label-color]="!active"
  (click)="handleClick($event)"
>
  @if (!asyncRunning) {
    <ng-content></ng-content>
  } @else {
    <i nz-icon nzType="loading" nzTheme="outline" class="action-icon-size"> </i>
  }
</span>
